* {
  background-color: black;
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Silkscreen", cursive;
  font-weight: bold;
}
i {
  color: black;
}
.container {
  height: 100vh;
  display: flex;
  width: 100vw;
  flex-flow: column nowrap;
  align-items: center;
  justify-content: space-between;
  padding-bottom: 12px;
}
h1 {
  font-size: 36px;
  letter-spacing: 4px;
  color: white;
  font-family: "Silkscreen", cursive;
}
.navbar {
  width: 100%;
  display: flex;
  flex-flow: row nowrap;
  justify-content: center;
  align-items: center;
  border-bottom: 1px solid #343a40;
  height: 77px;
  padding: 14px;
  align-self: flex-end;
}

.navbar ul {
  display: flex;
  justify-content: space-evenly;
  list-style: none;
  gap: 7px;
}
.tabuleiro {
  display: flex;
  flex-flow: column nowrap;
  max-width: 350px;
  gap: 7px;
  padding: 10px;
  width: 90%;
}

.linha-tab {
  display: flex;
  width: 100%;
  column-gap: 7px;
}

.linha-tab .quad {
  font-size: 20px;
  width: 62px;
  height: 62px;
  display: flex;
  justify-content: center;
  align-items: center;
  max-width: 62px;
  color: white;
}

.teclado {
  max-width: 490px;
  display: flex;
  flex-flow: column nowrap;
  gap: 8px;
  width: 97%;
}

.teclado .linha-tecla {
  width: 100%;
  height: 60px;
  display: flex;
  justify-content: center;
  gap: 4px;
}

.linha-tecla .tecla {
  font-size: 16px;
  cursor: pointer;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 14px;
  min-width: 45px;
  border-radius: 10%;
  border-color: #495057;
}
.background-tecla {
  background-color: #6c757d;
}

.tecla:hover {
  background-color: gray;
  border-color: gray;
}

.correct {
  color: white;
  background-color: #50b560;
  border-color: #50b560;
}
.parcial-correct {
  background-color: #c4bc4f;
  color: white;
  border-color: #c4bc4f;
}
.wrong {
  color: white;

  background-color: #777b7d;
  border-color: #777b7d;
}
.item {
  border: 2px solid #343a40;
}

.selected-item {
  border: 2px solid white;
}

.invalid-word {
  animation: go-back 1s;
}

.animate {
  animation: rotate-horizontal-center 1s;
}

@keyframes rotate-horizontal-center {
  0% {
    transform: rotateX(0);
  }
  100% {
    transform: rotateX(-360deg);
  }
}

@keyframes go-back {
  0% {
    transform: translateX(15px);
    border-color: red;
    opacity: 0;
  }
  50% {
    transform: translateX(0px);
  }
  100% {
    border-color: #e78f8e;
    opacity: 1;
  }
}
i {
  color: white;
}
